Jump to content
Ultimaker Community of 3D Printing Experts
  • Sign Up
V3DPrinting

RRF plugin not anymore available on the Marketplace ?

Recommended Posts

Posted · RRF plugin not anymore available on the Marketplace ?

Hi

 

Everything is in the title. I cannot find the RepRapFirmware plugin in the Marketplace, though I have installed it previously on another Cura instance (4.3 and 4.4).

I had to downgrade to 4.2.1 with a fresh install due to numerous bugs, but I'm unable to reinstall the plugin.

 

Thanks for your feedback

Share this post


Link to post
Share on other sites
Posted · RRF plugin not anymore available on the Marketplace ?

Unfortunately, due to a design flaw in the Marketplace, only one version of a plugin can be available in the Marketplace at a time. This means that if a plugin needs to be updated for newer versions of Cura, the author of the plugin must take additional steps to make sure that the plugin is also compatible with previous versions of Cura, or it will vanish from the Marketplace for those previous versions.

 

The authot of the RRF plugin makes previous versions of the plugin available here:

https://github.com/Kriechi/Cura-DuetRRFPlugin/releases

You will have to manually install these previous versions.

Share this post


Link to post
Share on other sites
Posted · RRF plugin not anymore available on the Marketplace ?
12 minutes ago, ahoeben said:

Unfortunately, due to a design flaw in the Marketplace, only one version of a plugin can be available in the Marketplace at a time.

 

I've done a fresh install of Cura 4.2.1, removing the  user/Application Support/Cura folder from my Mac before making the install.

So I should have been able to retrieve the plugin from the Marketplace, as I've done for your plugins without any problem.

 

Is there any other location on macOS for Cura to store the settings and plugins ?

Share this post


Link to post
Share on other sites
Posted · RRF plugin not anymore available on the Marketplace ?
2 minutes ago, V3DPrinting said:

So I should have been able to retrieve the plugin from the Marketplace

 

What I meant to say is that because the author of the plugin uploaded a new version of the plugin to the Marketplace that is only marked to be compatible with Cura 4.4, the Marketplace no longer has a version that is compatible with Cura 4.2.1 (or any other version than Cura 4.4).

 

For my own plugins, I jump through all the hoops to keep all my plugins compatible with previous versions of Cura, so the version of the plugins that is available on the Marketplace can be downloaded to previous versions as well.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...